#include <iostream>
using namespace std;
int main(){
    long long A,B,C,D,E;
    cin>>A>>B>>C>>D>>E;
    if(E-D>=C){
        cout<<"1";
    }
    else{
        if(E-C>=B){
            cout<<"2";
        }
        else{
            if(E-B>=A){
                cout<<"3";
            }
            else{
                cout<<"4";
            }
        }
    }
    return 0;
}

